rrsig_struct Struct Reference

`#include <rrset.h>`

## Data Fields

ldns_rr * | rr
domain_type * | owner
const char * | key_locator
uint32_t | key_flags

## Detailed Description

Definition at line 44 of file rrset.h.

## Field Documentation

## key_flags

uint32_t rrsig_struct::key_flags

Definition at line 48 of file rrset.h.

Referenced by rrset_add_rrsig(), and rrset_backup2().

## key_locator

const char* rrsig_struct::key_locator

Definition at line 47 of file rrset.h.

Referenced by rrset_add_rrsig(), and rrset_backup2().

## owner

domain_type* rrsig_struct::owner

Definition at line 46 of file rrset.h.

Referenced by rrset_add_rrsig().

## rr

ldns_rr* rrsig_struct::rr

Definition at line 45 of file rrset.h.

Referenced by rrset_add_rrsig(), rrset_backup2(), rrset_drop_rrsigs(), rrset_print(), and rrset_sign().

The documentation for this struct was generated from the following file:

- src/signer/rrset.h